Last Comment Bug 797700 - Restrict the height/width of the ambient notification icons to 16x16
: Restrict the height/width of the ambient notification icons to 16x16
Status: RESOLVED FIXED
[Fx17]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: 18 Branch
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
: Shane Caraveo (:mixedpuppy)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 00:23 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2013-11-13 03:07 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Patch (3.78 KB, patch)
2012-10-04 00:23 PDT, Jared Wein [:jaws] (please needinfo? me)
no flags Details | Diff | Splinter Review
Patch v1.1 (3.76 KB, patch)
2012-10-04 14:10 PDT, Jared Wein [:jaws] (please needinfo? me)
mixedpuppy: review+
Details | Diff | Splinter Review
aurora patch (3.84 KB, patch)
2012-10-08 02:03 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jared Wein [:jaws] (please needinfo? me) 2012-10-04 00:23:39 PDT
Created attachment 667842 [details] [diff] [review]
Patch

On Windows the images of the ambient notification icons will expand to show the image at full resolution. Mac only does this on hidpi mode, and Linux handles this using max-height.

This patch should fix all three platforms to be consistent, while also allowing hidpi mode to work correctly on Mac.

Frank, can you take a look at the HiDPI change on Mac?
Comment 1 Frank Yan (:fryn) 2012-10-04 01:18:42 PDT
Comment on attachment 667842 [details] [diff] [review]
Patch

Review of attachment 667842 [details] [diff] [review]:
-----------------------------------------------------------------

As we discussed on IRC, the @media (min-resolution: 2dppx) block should simply be removed.
It was my mistake to add that block in the first place.
Thanks for flagging me. No need to flag me for the next version of the patch. :)
Comment 2 Jared Wein [:jaws] (please needinfo? me) 2012-10-04 14:10:59 PDT
Created attachment 668171 [details] [diff] [review]
Patch v1.1

Thanks for the feedback Frank. I removed the HiDPI block.
Comment 3 Jared Wein [:jaws] (please needinfo? me) 2012-10-05 13:07:31 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/8d24b8e3c078
Comment 4 Ed Morley [:emorley] 2012-10-06 12:47:08 PDT
https://hg.mozilla.org/mozilla-central/rev/8d24b8e3c078
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-08 02:03:45 PDT
Created attachment 669060 [details] [diff] [review]
aurora patch

Minus the hidpi changes.
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-08 02:15:45 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/95338d6f75fe

Note You need to log in before you can comment on or make changes to this bug.